VLC Media Player TY File Stack Based Buffer Overflow Exploit Update

This module exploits a vulnerability in VideoLan Media Player (VLC). Stack-based buffer overflow in the parse_master function in the Ty demux plugin (modules/demux/ty.c) in VLC Media Player 0.9.0 through 0.9.4 allows remote attackers to execute arbitrary code via a TiVo TY media file with a header containing a crafted size value. This update improves exploit reliability.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2008-4654
Product Version: 
7.6
Released Date: 
Monday, November 10, 2008 - 00:00